.spot-header-flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
    margin-bottom: 40px;
}

.bd-basic__pagination ul li{
	color:var(--clr-theme-1)
}

.bd-basic__pagination ul li a {
    border: 2px solid #f9f0e8;
    color: var(--clr-theme-1);
}

.bd-basic__pagination ul li a i {
    color: var(--clr-theme-1);
}

.bd-basic__pagination ul li a:hover i {
    color: #db590082;
}

.bd-basic__pagination ul li a.current {
    border-color: var(--clr-theme-2);
    color: #f9f0e8;
}

.bd-basic__pagination ul li a:hover {
    background-color: #f9f0e8;
    color: #db590082;
    border-color: #db590082;
}

.spot-list {
    display: flex;
    gap: 16px;
    list-style: none;
    padding: 10px 0;
    overflow-x: auto;
}

.spot-list::-webkit-scrollbar {
    height: 6px;
}

.spot-list::-webkit-scrollbar-thumb {
    background: #ffcdaf;
    border-radius: 8px;
}

.spot-list::-webkit-scrollbar-track {
    background: #fff1df;
    border-radius: 8px;
}

.spot-list li a {
    display: flex;
    flex-direction: column;
    color: var(--clr-theme-2);
    font-size: 1rem;
    justify-content: center;
    align-content: center;
}

.spot-list li a span {
    text-align: center;
}

.img-content {
    width: 70px;
    height: 70px;
    background-color: #fff1e8;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.3s ease;
    margin-bottom: 4px;
}

.spot-list li img {
    width: 40px;
    height: 40px;
}

.active .img-content {
    background-color: #ffeab7;
    border: 1px solid #f77629;
}

.img-content:hover {
    background-color: #ffeab7;
}

.input-group {
    width: auto;
    justify-content: end;
}

.input-group input {
    border: 1px solid #91242433;
    background-color: #ffffff;
    padding-left: 10px;
    border-radius: 10px 0 0 10px;
}

.input-group button {
    height: 50px;
    width: 50px;
    border-radius: 6px;
    background: var(--clr-theme-2);
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.bd-product__item {
    background: transparent;
    border-radius: 15px;
    overflow: hidden;
    transition: all 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    display: flex;
    flex-direction: column;
    transform-style: preserve-3d;
    box-shadow: none;
    box-shadow: 0 2px 20px rgb(47 29 18 / 14%);
}

.bd-product__item:hover {
    transform: translateY(-15px) rotateX(5deg);
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.1);
}

.bd-product__img {
    overflow: hidden;
    position: relative;
    aspect-ratio: 16 / 9;
    width: 100%;
}

.bd-product__img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.4s ease;
    padding: 0;
}

.bd-product__item:hover .bd-product__img img {
    transform: scale(1.1) rotate(2deg);
}

.bd-product__content {
    padding: 1rem 1.1rem;
    display: flex;
    flex-direction: column;
    background: #fff9f3;
}

.bd-product__content h4 {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
    color: #2c3e50;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
    font-weight: 500;
    letter-spacing: 1px;
}

.bd-product__content h4 a {
    color: #2c3e50;
    text-decoration: none;
}

.bd-product__new-price {
    line-height: 19px;
    color: #8b4f2d;
    font-size: 0.85rem;
    font-weight: 500;
    padding: 0.15rem 0.55rem;
    border-radius: 50px;
    justify-content: center;
    align-items: flex-start;
    white-space: nowrap;
    max-width: 100px;
    transform: all 0.3s ease;
}
a.bd-product__new-price {
    border: 1px solid var(--clr-theme-2);
    background: #ffffffba;
    color: var(--clr-theme-2);
}

.category-badge {
    color: #fff;
}

.bd-product__new-price.category-badge:hover {
    box-shadow: inset 0 0 0 100px rgba(255, 255, 255, 0.3);
    color: #fff;
    background: var(--clr-theme-2);
}

.tag {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
    justify-content: space-between;
    flex-wrap: wrap;
}

.left-tag {
    display: flex;
    gap: 4px;
}

.location {
    padding: 0;
    background-color: transparent;
}

.bd-product__action {
    top: 40%;
}

@media (992px<=width<= 1399px) {
    .left-tag {
        gap: 2px;
    }
    .bd-product__new-price{
        padding: 1px 4px;
        font-size: 0.8rem;
    }
}

@media (width<= 992px) {
    .spot-header-flex {
        flex-direction: column;
        align-items: stretch;
        gap: 16px;
    }
    .input-group {
        width: 100%;
        margin-top: 12px;
    }
    .input-group input {
        width: calc(100% - 50px);
        min-width: 0;
    }

    .bd-basic__pagination ul {
        justify-content: center;
    }
}

@media (width<= 576px) {
    .bd-basic__pagination ul {
        gap: 8px;
    }

    .bd-product__new-price {
        padding: 1px 4px;
    }

    a.bd-product__new-price,
    .bd-product__new-price {
        font-size: 12px;
    }
}

@media (width<= 425px) {
    .bd-basic__pagination ul li a,
    .bd-basic__pagination ul li span {
        width: 40px;
        height: 40px;
    }
}

@media (width<= 369px) {
    a.bd-product__new-price, .bd-product__new-price{
        font-size: 0.6rem;
    }
}

@media (width<= 358px) {
    .bd-basic__pagination ul {
        gap: 6px;
    }
    .bd-basic__pagination ul li a,
    .bd-basic__pagination ul li span {
        width: 36px;
        height: 36px;
    }
}
